package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.AdminConfigMapper;
import com.book.dao.cps.pojo.AdminConfig;
import com.book.push.service.dao.AdminConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * created in 2021/8/19
 * Project: book-store
 *
 * @author win7
 */
@Service
public class AdminConfigServiceImpl implements AdminConfigService {
    @Autowired
    private AdminConfigMapper adminConfigMapper;

    @Override
    public Map<String, AdminConfig> selectAll() {
        List<AdminConfig> adminConfigs = adminConfigMapper.selectAll();
        Map<String, AdminConfig> result = adminConfigs.stream().collect(Collectors.toMap(AdminConfig::getAppid, AdminConfig -> AdminConfig));
        return result;
    }

    @Override
    public AdminConfig selectByAppid(String appid) {
        return adminConfigMapper.selectByAppid(appid);
    }

    @Override
    public AdminConfig selectByAdminId(Integer adminId) {
        return adminConfigMapper.selectByPrimaryKey(adminId);
    }
}
